<h1 id="title" class="title">identifier</h1>
<h3 class="sub-title">Hello! Log in with your identifier.</h3>

<nb-alert *ngIf="showMessages.error && errors?.length && !submitted"status="danger" role="alert" closable>
  <p class="alert-title"><b>Oh snap!</b></p>
  <ul class="alert-message-list">
    <li *ngFor="let error of errors" class="alert-message">{{ error }}</li>
  </ul>
</nb-alert>

<nb-alert *ngIf="showMessages.success && messages?.length && !submitted" status="success" role="alert" closable>
  <p class="alert-title"><b>Hooray!</b></p>
  <ul class="alert-message-list">
    <li *ngFor="let message of messages" class="alert-message">{{ message }}</li>
  </ul>
</nb-alert>


<div class="form-control-group" [nbSpinner]="loading" nbSpinnerStatus="info">
  <label class="label" for="input-identifier">identifier:</label>
  <input nbInput fullWidth placeholder="identifier" name='identifier' [formControl]="identifier">
</div>
<div class="form-control-group">
  <label class="label" for="input-name">Password:</label>
  <input nbInput fullWidth placeholder="Password" name='password' type="password" [formControl]="password"></div>
<div class ="buttonSingIn">
  <button nbButton fullWidth status="primary" size="large" (click)="authenticate()">Sign in!</button>
</div>


<section class="another-action" aria-label="Register">
  Don't have an account?<a class="text-link"
    (click)="Registre()"><strong>Register</strong></a>
</section>